Skip to main content

Sales


Overview

Use the information in this section to send a sale request to begin processing a payment. Before you send a request, complete the prerequisites in Get Started with Tink Pay by Bank, including your merchant ID and REST API security key.

After you send a successful sale request, you receive a PENDING status in the status response field and a sale request ID in the id response field. Save the request ID to send follow-on check status requests. You must send check status requests to verify when the sale is settled.

Merchant Redirect URLs

When your customer is redirected to their bank's website during checkout, they can experience one of these outcomes:

  • Canceled purchase
  • Failed purchase
  • Successful purchase

The outcome that your customer experiences determines which of your merchant URLs the customer is redirected to. Tink requires you to provide redirect URLs in your sale request. To provide your redirect URLs, you can choose one of these methods:

  • Configure your redirect URLs in the . Click Available Products to add your redirect URLs on the Product Configuration: Alternative Payment Methods page. Your merchant account must be enabled.
  • Contact your account manager to update your merchant account with your redirect URLs.
  • Include these fields in your sale request:
    • merchantInformation.cancelUrl: Set to the URL to which the customer is redirected after canceling a payment or closing the browser.
    • merchantInformation.failureUrl: Set to the URL to which the customer is redirected when a payment fails because of insufficient funds or because the issuer declines it.
    • merchantInformation.successUrl: Set to the URL to which the customer is redirected after completing a payment. Do not use this URL to confirm a payment. The response is not signed, and it could be tampered with. recommends that the success URL link to a static webpage with text that tells the customer their payment is being processed. A follow-up email or webpage can then be used to inform them when their payment is successful.

If your account is configured to include your redirect URLs, and you send these fields in your sale request, uses the URLs you include in the fields.

This example shows a REST request with redirect URLs:

{  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "tinkPayByBank"      }    }  },  "processingInformation": {    "actionList": [      "AP_SALE"    ]  },  "merchantInformation": {    "cancelUrl": "merchant_cancel_url.com",    "successUrl": "merchant_success_url.com",    "failureUrl": "merchant_failure_url.com"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "50.00",      "currency": "GBP"    },    "billTo": {      "country": "UK"    }  }}

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

See Endpoints for the full per-brand Server URLs reference.

Example

{  "paymentInformation": {    "paymentType": {      "name": "bankTransfer",      "method": {        "name": "tinkPayByBank"      }    }  },  "processingInformation": {    "actionList": [      "AP_SALE"    ]  },  "orderInformation": {    "amountDetails": {      "totalAmount": "50.00",      "currency": "GBP"    },    "billTo": {      "country": "UK"    }  }}
{  "processorInformation": {    "responseCode": "00001",    "transactionId": "00000000-0000-0000-0000-000000000000",    "paymentUrl": "https://link.staging.oxford.tink.se/1.0/pay/direct?market=GB&session_id=example-session-id&redirect_uri=https%3A%2F%2Fapi.staging.oxford.tink.com%2Fpayments%2Fv1%2Fcybersource%2Fcallback&payment_request_id=00000000-0000-0000-0000-000000000000&locale=en_US&client_id=example-client-id"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "50.00",      "currency": "GBP"    }  },  "reconciliationId": "KOJMTDIN58M3",  "message": "Request was processed successfully.",  "status": "PENDING",  "id": "7537195501166875104805",  "submitTimeUtc": "2025-07-28T16:19:10Z"}
FieldTypeDescription
merchantInformation.cancelUrlThis field is optional when your account is configured to automatically include your redirect URLs.
merchantInformation.failureUrlThis field is optional when your account is configured to automatically include your redirect URLs.
merchantInformation.successUrlThis field is optional when your account is configured to automatically include your redirect URLs.
orderInformation.amountDetails.currencySet to EUR (Euro) or GBP (British pound sterling).
orderInformation.amountDetails.totalAmount
orderInformation.billTo.countrySet to DE (Germany), ES (Spain), FR (France), IE (Ireland), NL (Netherlands), or UK (United Kingdom).
paymentInformation.paymentType.method.nameSet to tinkPayByBank.
paymentInformation.paymentType.nameSet to bankTransfer.
processingInformation.actionListSet to [AP_SALE].
Optional Fields
FieldTypeDescription
clientReferenceInformation.codeSet to a unique value for internal tracking.
clientReferenceInformation.reconciliationId
merchantInformation.merchantDescriptor.name
orderInformation.billTo.firstName
orderInformation.billTo.lastName
paymentInformation.bank.swiftCode
paymentInformation.directDebit.mandate.clearingDate
paymentInformation.options.id

Response Fields

The processorInformation.paymentUrl field contains the Tink redirect URL. Redirect the customer to this URL to complete the payment using their bank credentials.

Response Statuses

responds to your request with one of these statuses in the status field:

  • FAILED: The sale request is unsuccessful. This could indicate invalid fields or missing fields in the request.
  • PENDING: The sale request is successful and is currently processing. Send check status requests until the status updates.

With an active webhook subscription, you receive real-time notifications when the transaction status updates. For more information, see Webhook Subscriptions.

If you do not receive a webhook notification, send check status requests until you receive an updated status. For more information, see Check Status.

Last published: September 29, 2026